### Signal

# Phosh AppTracker::app-launch-started

#### Declaration

    void
    app_launch_started (
      PhoshAppTracker* self,
      GAppInfo* app_info,
      gchar* app_id,
      gpointer user_data
    )

#### Description [src]

The app is about to be launched by the shell or external process. This is guaranteed to be followed by at least one PhoshAppTracker:app-launched or PhoshAppTracker:app-failed signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`app_info`

  Type: `GAppInfo`

  The `GAppInfo` of the launched application.

  The data is owned by the caller of the function.

`app_id`

  Type: `gchar*`

  The startup-id of the launched application.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.